function[C,L]=lagran(X,Y)
% input - X wspolrzedne x-owe wezlow
%         Y wspolrzedne y-owe wezlow
% output - C - wartosci wspolczynnikow wielomianow
%              Lagrange'a
%          L - wartosci wspczynnikow wielomianu
%              interpolacyjnego Lagrange'a
w=length(X);
n=w-1;
L=zeros(w,w);
% obliczanie wspolczynnikow wielomianow Lagrange'a
for k=1:n+1
    V=1;
    for j=1:n+1
        if k~=j
            V=conv(V,poly(X(j)))/(X(k)-X(j));
        end
    end
    L(k,:)=V;
end
% okreslenie wspczynnikow wielomianu
% interpolacyjnego Lagrange'a
C=Y*L;