function [C,D]=newpoly(X,Y)
% input - X wspolrzedne x-owe wezlow
%         Y wspolrzedne y-owe wezlow
% output - C - wartosci wspolczynnikow wielomianu
%              interpolacyjnego Newtona
%          D - wartosci ilorazow roznicowych wielomianu
%              interpolacyjnego Newtona
n=length(X);
D=zeros(n,n);
D(:,1)=Y';
% obliczanie ilorazow roznicowych
for j=2:n
    for k=j:n
        D(k,j)=(D(k,j-1)-D(k-1,j-1))/(X(k)-X(k-j+1));
    end
end
% okreslenie wspolczynnikow wielomianu interpolacyjnego Newtona
C=D(n,n);
for k=(n-1):-1:1
    C=conv(C,poly(X(k)));
    m=length(C);
    C(m)=C(m)+D(k,k);
end
